API 参考订阅 API

发一条探测 payload

立刻发一条探测事件,验证回调与签名。

POST/api/v1/subscriptions/{id}/test
POST
/api/v1/subscriptions/{id}/test

立刻发一条 subscription.test 事件(内容极小,含一份真实的当前快照),用来验证回调地址可达、签名能过。

它不推进水位线——补数据要等正常投递。鉴权与签名路径和正常投递完全一致,所以测试能验签通过,正常事件也能。

Authorization

bearerAuth
AuthorizationBearer <token>

Authorization: Bearer <key>。key 由控制台自助签发,或管理员在 /dashboard 代签

In: header

Path Parameters

id*string

订阅 id(subscriptions.id)

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/subscriptions/string/test"
{  "id": "string",  "eventId": "string",  "delivered": true,  "httpStatus": 0,  "error": "string",  "deliveredAt": "2019-08-24T14:15:22Z"}